.header-menu-right {
  position: absolute;
  right: 0px;
  top: 50%;
  transform: translateY(-50%);
  /* top: -6px; */
  /* font-size: 40px; */
  cursor: default !important;
  color: #fff;
  height: fit-content;
}

.header-menu-right > button {
  display: inline;
  float: right;
  margin-left: 10px;
  border: 1px solid #fff;
  color: #fff;
  padding: 8px 16px;
  border-radius: 8px;
  background-color: #222;
  font-size: 18px;
}


.warning-overlay {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px; 
  bottom: 0px;
  background-color: rgba(0,0,0,0.5);
  z-index: 30000;
}


.contracts-main {
  position: absolute;
  left: 0px;
  right: 0px;
  top: 100px;
  bottom: 0px;
  background-color: #666 !important;
  overflow: hidden;
  overflow-y: auto !important;
}

.contracts-main > h1, .contracts-career-container > h1 {
  position: relative;
  font-size: 36px;
  font-weight: 400;
  padding-left: calc(10vw + 20px);
  padding-right: calc(10vw + 20px);
  padding-top: 40px;
  padding-bottom: 10px;
}

.contracts-main-divider {
  position: relative;
  width: 80%;
  height: 1px;
  background-color: #fff;
  left: 10vw;
  right: 10vw;
  margin-bottom: 10px;
}

.contracts-main-list {
  height: fit-content;
  overflow-y: hidden;
  overflow-x: scroll;
  overscroll-behavior-x: none;
  list-style-type: none;
  white-space: nowrap;
}

.contracts-main-list .contract-item:first-child {
  margin-left: 10vw;
}

.contracts-main-list .contract-item:last-child {
  margin-right: 10vw;
}


.contracts-career-container {
  position: relative;
  left: 0px;
  right: 0px;
  margin-top: 20px;
  margin-bottom: 50px;
  height: fit-content;
}

.contracts-career-container > h1 > span {
  font-size: 24px;
  vertical-align: baseline;
  font-weight: 600;
}

.contracts-career-ladder {
  position: relative;
  width: 80%;
  left: 10vw;
  right: 10vw;
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  padding-top: 40px;
  padding-bottom: 5px;
  border-bottom: 4px solid #fff;
}

.contracts-career-ladder > div {
  display: flex;
  flex-direction: column;
  background-color: #fff;
  height: 40px;
  flex-basis: 100%;
  margin-right: 5px;
  color: #111;
  font-weight: 550;
  text-align: center;
  justify-content: center;
  opacity: 1;
  box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -webkit-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -moz-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
}

.contracts-career-ladder > div.pending {
  opacity: 0.3;
}


.contracts-career-ladder > div > span {
  display: none;
}

.contracts-career-ladder > div.pending > span {
  display: block;
  font-size: 14px;
  font-weight: 300;
}

.contracts-career-ladder > div:last-of-type {
  margin-right: 0px;
}

.contracts-career-ladder > div:nth-of-type(2) {
  height: 70px;
}

.contracts-career-ladder > div:nth-of-type(3) {
  height: 100px;
}

.contracts-career-ladder > div:nth-of-type(4) {
  height: 130px;
}

.contracts-career-ladder > div:nth-of-type(5) {
  height: 160px;
}

.contracts-career-ladder > div:nth-of-type(6) {
  height: 190px;
}

.contracts-career-container > small {
  padding-left: 10vw;
  padding-right: 10vw;
  color: #ccc;
}



.contract-item {
  cursor: default !important;
  /* cursor: pointer !important; */
  display: inline-block;
  position: relative;
  width: 400px;
  height: 450px;
  background-color: #333;
  border: 1px solid #ddd;
  margin: 20px;
  white-space: normal;
  align-items: start;
  vertical-align: top;
  box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -webkit-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -moz-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
}

.contract-images {
  position: absolute;
  bottom: 14px;
  left: 14px;
  width: 370px !important;
  height: 212px !important;
}

.contract-image {
  position: absolute;
  width: 80%;
  border: 4px solid #ccc;
  left: 10%;
  top: 10%;
  z-index: 2;
  box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
}

.contract-image:first-of-type {
  top: 20%;
  left: 0%;
  z-index: 3;
}

.contract-image:last-of-type {
  top: 0%;
  left: 20%;
  z-index: 1;
}

.contract-image-solo {
  position: absolute;
  width: 100%;
  border: 4px solid #ccc;
  left: 0%;
  top: 0%;
  box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
}



.contract-details {
  padding: 10px;
  width: 100%;
  height: 100%;
}

.contract-details h1 {
  font-weight: 600;
  font-size: 24px;
  margin-bottom: 10px;
}

.contract-item h3 {
  position: absolute;
  top: 50px;
  left: 10px;
  bottom: 222px;
  width: 378px;
  overflow-y: auto;
}

.contract-details h3 p {
  font-weight: 500;
  font-size: 16px;
  color: #ddd;
}



.contract-item-active {
  width: 700px !important;
}


.sub-contracts-list-wrapper {
  position: relative;
  cursor: default;
  float: right;
  background-color: #555;
  width: 300px;
  height: 100%;
  border-left: 1px solid #ddd;
}

.sub-contracts-list {
  position: absolute;
  top: 50px;
  left: 0px;
  right: 0px;
  bottom: 0px;

  overflow-x: hidden;
  overflow-y: scroll !important;
}

.sub-contracts-list-wrapper > h1 {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  background-color: #444;
  font-weight: 600;
  font-size: 21px;
  padding: 10px;
  border-bottom: 1px solid #555;
  z-index: 20000;
  color: #fff;
}

.sub-contracts-list-wrapper > h1 > small {
  color: #aaa;
  margin-bottom: 2px !important;
}


.sub-contract-item {
  position: relative;
  padding: 10px;
  padding-bottom: 20px;
  border-bottom: 1px solid #444;
}

.sub-contract-item:last-child {
  padding: 10px;
  border-top: none;
}


.sub-contract-item > h1 {
  font-size: 18px;
  font-weight: 550;
}

.sub-contract-description {
  color: #eee;
}

.sub-contract-info-table {
  font-size: 12px;
  color: #eee;
}

.sub-contract-info-table td {
  padding-right: 10px;
}

.sub-contract-difficulty-view, .sub-contract-highlight-view {
  font-size: 12px;
  color: #eee;
}

.sub-contract-difficulty-view > span {
  margin-left: 2px;
  color: #999;
}

.sub-contract-difficulty-view-active {
  color: #fff !important;
}


.sub-contract-item > button {
  background-color: rgba(250, 250, 250, 0.05);
  color: #fff;
  cursor: pointer !important;
  border: 1px solid #eee;
  border-radius: 6px;
  font-size: 14px;
  font-weight: 550;
  padding: 8px 12px;
  margin-top: 4px;
}

.sub-contract-item > button:hover {
  background: linear-gradient(rgba(250, 250, 250, 0.2), rgba(250, 250, 250, 0.15));
  transition-duration: 0.1s;
}

.sub-contract-image {
  position: relative;
  width: 100%;
  margin-top: 4px;
  margin-bottom: 4px;
  background-color: #777;
  border: 1px solid #666;
}

.sub-contract-image-completed {
  opacity: 0.4;
}

.sub-contract-image-complted::after {
  content: '✓'; 
  position: absolute;
  display: block;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  color: #111;
  font-size: 24px;
  z-index: 10000;
  text-align: center;
  opacity: 1;
}



/******************************************************************************
*
*  DARK PATTERN EXPLANATION TOOLTIP
*
*******************************************************************************/

.debug-menu {
  position: absolute;
  right: 180px;
  top: -6px;
  font-size: 40px;
  cursor: default !important;
  color: #fff;
}

.debug-items {
  position: absolute;
  top: 0px;
  right: 218px;
  margin-top: 14px;
  display: block;
}


.debug-items button {
  display: inline;
  float: left;
  margin-left: 10px;
  border: 1px solid #fff;
  color: #fff;
  padding: 4px 8px;
  border-radius: 8px;
}